ExternalModuleDependency (Gradle API 3.4.1)
Date: 2017-03-03

org.gradle.api.artifacts

## Interface ExternalModuleDependency

- All Superinterfaces:
    Dependency, ExternalDependency, ModuleDependency, ModuleVersionSelector
  All Known Subinterfaces:
    ClientModule

      public interface ExternalModuleDependency
      extends ExternalDependency

  A `ModuleDependency` is a `Dependency` on a module outside the current project hierarchy.

- - ### Field Summary

    - ### Fields inherited from interface org.gradle.api.artifacts.Dependency

      `ARCHIVES_CONFIGURATION, CLASSIFIER, DEFAULT_CONFIGURATION`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ExternalModuleDependency` | `copy()` Creates and returns a new dependency with the property values of this one.
    `boolean` | `isChanging()` Returns whether or not Gradle should always check for a change in the remote repository.
    `ExternalModuleDependency` | `setChanging(boolean changing)` Sets whether or not Gradle should always check for a change in the remote repository.

    - ### Methods inherited from interface org.gradle.api.artifacts.ExternalDependency

      `isForce, setForce`

    - ### Methods inherited from interface org.gradle.api.artifacts.ModuleDependency

      `addArtifact, artifact, artifact, exclude, getArtifacts, getConfiguration, getExcludeRules, getTargetConfiguration, isTransitive, setTransitive`

    - ### Methods inherited from interface org.gradle.api.artifacts.Dependency

      `contentEquals, getGroup, getName, getVersion`

    - ### Methods inherited from interface org.gradle.api.artifacts.ModuleVersionSelector

      `getGroup, getName, getVersion, matchesStrictly`

- - ### Method Detail

    - #### isChanging

          boolean isChanging()

      Returns whether or not Gradle should always check for a change in the remote repository.
      See Also:
        `setChanging(boolean)`

    - #### setChanging

          ExternalModuleDependency setChanging(boolean changing)

      Sets whether or not Gradle should always check for a change in the remote repository. If set to true, Gradle will check the remote repository even if a dependency with the same version is already in the local cache. Defaults to false.
      Parameters:
        `changing` - Whether or not Gradle should always check for a change in the remote repository
      Returns:
        this

    - #### copy

          ExternalModuleDependency copy()

      Creates and returns a new dependency with the property values of this one.
      Specified by:
        `copy` in interface `Dependency`
      Specified by:
        `copy` in interface `ExternalDependency`
      Specified by:
        `copy` in interface `ModuleDependency`
      Returns:
        The copy. Never returns null.